- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# IMpmsm Class Reference

State evolution model for a PMSM drive and its derivative with respect to $x$. More...

`#include <pmsm.h>`

Inheritance diagram for IMpmsm:

[legend]
Collaboration diagram for IMpmsm:

[legend]

List of all members.

## Public Member Functions
void | set_parameters (double Rs0, double Ls0, double dt0, double Ypm0, double kp0, double p0, double J0, double Mz0)
| Set mechanical and electrical variables.
vec | eval (const vec &x0, const vec &u0)
| Evaluates $f(x0,u0)$.
void | dfdx_cond (const vec &x0, const vec &u0, mat &A, bool full=true)
| Evaluates and writes result into `A` .
void | dfdu_cond (const vec &x0, const vec &u0, mat &A, bool full=true)
| Evaluates and writes result into `A` .
vec | eval (const vec &cond)
| Evaluates $f(x0,u0)$ (VS: Do we really need common eval? ).
int | _dimx () const
| access function
int | _dimu () const
| access function
int | _dimy () const
| access function
## Protected Attributes
double | Rs
double | Ls
double | dt
double | Ypm
double | kp
double | p
double | J
double | Mz
RV | rvx
| Indentifier of the first rv.
RV | rvu
| Indentifier of the second rv.
int | dimx
| cache for rvx.count()
int | dimu
| cache for rvu.count()
int | dimy
| Length of the output vector.

## Detailed Description

State evolution model for a PMSM drive and its derivative with respect to $x$.

## Member Function Documentation

void IMpmsm::dfdx_cond | ( | const vec & | x0,
|  | const vec & | u0,
|  | mat & | A,
|  | bool | full = `true` |
| ) |  |  | `[inline, virtual]`

Evaluates and writes result into `A` .

Parameters:

  | full | denotes that even unchanged entries are to be rewritten. When, false only the changed elements are computed.
  | x0 | numeric value of $x$,
  | u0 | numeric value of $u$
  | A | a place where the result will be stored.

Reimplemented from diffbifn.

void IMpmsm::dfdu_cond | ( | const vec & | x0,
|  | const vec & | u0,
|  | mat & | A,
|  | bool | full = `true` |
| ) |  |  | `[inline, virtual]`

Evaluates and writes result into `A` .

Parameters:

  | full | denotes that even unchanged entries are to be rewritten. When, false only the changed elements are computed.
  | x0 | numeric value of $x$,
  | u0 | numeric value of $u$
  | A | a place where the result will be stored.

Reimplemented from diffbifn.

The documentation for this class was generated from the following file:

- work/mixpp/pmsm/pmsm.h